// web page header , navbar or toolbar
// notes : On mobile: logo : relative, all menu under the same menu, menu-icon: fixed
.plus {
  position: absolute;
  width: 25px;
  height: 25px;
  &:before,
  &:after {
    content: "";
    position: absolute;
    background-color: rgba(255, 255, 255, 0.4);
    transition: transform 0.35s ease-out;
  }
  /* Vertical line */
  &:before {
    top: 0;
    left: 50%;
    width: 3px;
    height: 100%;
    margin-left: -2px;
  }
  /* horizontal line */
  &:after {
    top: 50%;
    left: 0;
    width: 100%;
    height: 3px;
    margin-top: -2px;
  }
}
.x {
  position: absolute;
  top:10px;
  right:40px;
  width: 48px;
  height: 48px;
  background-color: rgba(0, 0, 0, 0.4);
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  cursor: pointer;
  &:before,
  &:after {
    content: "";
    position: absolute;
    background-color: rgba(255, 255, 255, 0.4);
    transition: transform 0.35s ease-out;
  }
  /* Vertical line */
  &:before {
    top: 10%;
    left: 50%;
    width: 3px;
    height: 80%;
    margin-left: -2px;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
  }
  /* horizontal line */
  &:after {
    top: 50%;
    left: 10%;
    width: 80%;
    height: 3px;
    margin-top: -2px;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
  }
}
.languagepicker {
  position: absolute;
  right: 100px;
  top: 30px;
  /* background-color: #FFF; */
  /* display: inline-block; */
  padding: 0;
  /* height: 40px; */
  overflow: hidden;
  transition: all .3s ease;
  margin: 0 0 10px 0;
  vertical-align: top;
  /* float: left; */
  &:hover {
    /* don't forget the 1px border */
    /*height: 80px;*/
    li {
      display: block;
      background-color: rgba(0, 0, 0, 0.7);
    }
  }
  a {
    color: #fff;
    text-decoration: none;
  }
  li {
    display: none;
    padding: 0 20px;
    line-height: 40px;
    &.selected {
      display: block;
      &:hover {
        border: 2px solid rgba(0, 0, 0, 0.9);
      }
    }
    &:hover {
      background-color: rgba(0, 0, 0, 0.5);
      a {
        color: #fff;
      }
    }
    img {
      margin-right: 5px;
      margin-bottom: 3px;
      width: 22px;
      height: 22px;
    }
  }
}